Subject: RE: [RFC PATCH v3 3/7] t/clar: fix whitespace errors

From: <[email-masked]>
Date: Tue, 13 Aug 2024 15:14:27 -0400

On Tuesday, August 13, 2024 2:44 PM, Junio C Hamano wrote:
><[email-masked]> writes:
>
>> On Tuesday, August 13, 2024 11:26 AM, Junio C Hamano wrote:
>>>Patrick Steinhardt <[email-masked]> writes:
>>>
>>>> Fix whitespace errors in the clar that make git-apply(1) unhappy.
>>>> This has been cherry-picked from the upstream pull request at [1].
>>>>
>>>> [1]: https://github.com/clar-test/clar/pull/97
>>>>
>>>> Signed-off-by: Patrick Steinhardt <[email-masked]>
>>>> ---
>>>>  t/unit-tests/clar/clar/sandbox.h  | 5 ++---
>>>>  t/unit-tests/clar/generate.py     | 1 -
>>>>  t/unit-tests/clar/test/.gitignore | 1 -
>>>>  3 files changed, 2 insertions(+), 5 deletions(-)
>>>
>>>A funny thing about this step is that the copy I carried for the past
>>>few days was an empty patch, because out of habit I use the
>>>"--whitespace=fix" option while running "git am".  As that fixes the
>>>whitespace breakage this step addresses while applying the previous step, this
>one becomes empty.
>>>
>>>I'll requeue these patches with --whitespace=warn instead.
>>
>> Please forgive the third ask, but I really want to test the build early. Suggestions?
>
>Sorry, but I do not follow.  If you have "git am" and "git clone"
>working, and if you have enough C toolchain to build the rest of Git, wouldn't it be
>sufficient to also build this addition?  I think the 7 patches cleanly apply to any
>recent tip of 'master'.

I am confused. My bad. The unit test works fine with the custom clar off seen and next.